Name:          alien
Version:       8.95.1
Release:       1mamba
Summary:       A program that converts between the rpm, dpkg, stampede slp, and slackware tgz file formats
Group:         System/Management
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://kitenet.net/programs/alien
Source:        http://http.debian.net/debian/pool/main/a/alien/alien_%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:      dpkg
Requires:      debhelper
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Alien is a program that converts between the rpm, dpkg, stampede slp, and slackware tgz file formats. If you want to use a package from another distribution than the one you have installed on your system, you can use alien to convert it to your preferred package format and install it.

Despite the large version number, alien is still (and will probably always be) rather experimental software. It has been used by many people for many years, but there are still many bugs and limitations.

Alien should not be used to replace important system packages, like sysvinit, shared libraries, or other things that are essential for the functioning of your system. Many of these packages are set up differently by Debian and Red Hat, and packages from the different distributions cannot be used interchangably. In general, if you can't uninstall the package without breaking your system, don't try to replace it with an alien version.

%prep

%setup -q

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl \
   DESTDIR= \
   PREFIX=%{buildroot}%{_prefix} \
   VARPREFIX=%{buildroot}/var

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)

%changelog
* Tue Apr 21 2020 Automatic Build System <autodist@mambasoft.it> 8.95.1-1mamba
- automatic update by autodist

* Fri Mar 18 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 8.95-1mamba
- update to 8.95
- require dpkg and debhelper

* Tue Nov 18 2014 Automatic Build System <autodist@mambasoft.it> 8.93-1mamba
- automatic update by autodist

* Sun Sep 21 2014 Automatic Build System <autodist@mambasoft.it> 8.92-1mamba
- automatic update by autodist

* Thu Jul 10 2014 Automatic Build System <autodist@mambasoft.it> 8.91-1mamba
- automatic update by autodist

* Sat May 24 2014 Automatic Build System <autodist@mambasoft.it> 8.90-1mamba
- automatic update by autodist

* Wed Aug 28 2013 Automatic Build System <autodist@mambasoft.it> 8.89-1mamba
- automatic update by autodist

* Fri Aug 10 2012 Automatic Build System <autodist@mambasoft.it> 8.88-1mamba
- automatic version update by autodist

* Tue Apr 24 2012 Automatic Build System <autodist@mambasoft.it> 8.87-1mamba
- automatic version update by autodist

* Wed Apr 20 2011 Automatic Build System <autodist@mambasoft.it> 8.84-1mamba
- automatic update by autodist

* Thu Sep 16 2010 Automatic Build System <autodist@mambasoft.it> 8.83-1mamba
- automatic update by autodist

* Sat Jun 26 2010 Automatic Build System <autodist@mambasoft.it> 8.81-1mamba
- automatic update by autodist

* Mon Apr 26 2010 Automatic Build System <autodist@mambasoft.it> 8.80-1mamba
- automatic update by autodist

* Mon Jan 18 2010 Automatic Build System <autodist@mambasoft.it> 8.79-1mamba
- automatic update by autodist

* Sun Jul 12 2009 Automatic Build System <autodist@mambasoft.it> 8.78-1mamba
- automatic update by autodist

* Mon Jun 15 2009 Automatic Build System <autodist@mambasoft.it> 8.76-1mamba
- automatic update by autodist

* Mon Jun 08 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 8.75-1mamba
- package created by autospec
